#Cellario modules
from HRB.Cellario.Scripting import *
from HRB.Cellario.Scripting.API import *
import json


def Execute(api : PythonScriptingApi):
    sampleName = api.CurrentPlate.Name
    with open(f"C:/temp/{sampleName}.txt", "r") as file:
        j = json.load(file)
    tubes = j["tubeBarcode"]
    barcodes = [tube["barcode"] for tube in tubes]
    with open("C:/temp/availabletubes.txt","a") as file:
        for barcode in barcodes:
            file.write(f"{barcode}\n")

